insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'CategoriesPerHierarchy', rownum, totals, id from 
(select count(1) totals, cat_container_id id
from cat
where cat_company_id = 40001
and   cat_next_version_id = 999999999
group by cat_container_id 
order by totals desc
);
commit;
quit;
